@font-face {
    font-family: SairaCondensed;
    src: url('fonts/Saira_Condensed/SairaCondensed-Regular.ttf');
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: SairaCondensed;
    src: url('fonts/Saira_Condensed/SairaCondensed-Bold.ttf');
    font-weight: bold;
    font-display: swap;
}

@font-face {
    font-family: SairaCondensed;
    src: url('fonts/Saira_Condensed/SairaCondensed-SemiBold.ttf');
    font-weight: 600;
    font-display: swap;
}


html,
body {
    margin: 0;
    padding: 0;
    height: 100%;
}

body {
    background-color: #00a650;
}

video {
    filter: hue-rotate(20deg) saturate(1);
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    z-index: -1;
}

img {
    height: 100%;
    user-select: none;
    -webkit-user-select: none;
}

input,
textarea,
button {
    pointer-events: auto;
}

* {
    font-family: 'SairaCondensed';
    line-height: 1em;
    color: white;
}

button {
    font-family: 'SairaCondensed';
    font-weight: bold;
    font-size: 8vmin;
    color: #00a650;
    background-color: white;
    border-style: solid;
    border-width: 5px;
    border-color: #d92598;
    text-decoration: none;
    padding: 1% 0;
    cursor: pointer;
}

h1 {
    display: inline-block;
    font-family: 'SairaCondensed';
    font-weight: bold;
    font-size: min(100em, 10vw);
    color: white;
    height: min(100em, 10vw);
    line-height: min(100em, 10vw);
    vertical-align: middle;
    margin: 0;
}

h2 {
    display: block;
    line-height: 100%;
    padding: 0 0 2% 0;
    font-family: 'SairaCondensed';
    font-weight: 600;
    font-size: max(3em, 8vw);
    color: white;
    margin: 0;
}

bold {
    font-weight: bold;
}

#unsere70 {
    padding: 2%;
    background-image: url('70fürHintergrund.svg');
    background-size: cover;
    pointer-events: none;
}

.personengrid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10em, 1fr));
    gap: 0em 1em;
    justify-items: center;
}


@media only screen and (max-width: 1000px) and (max-aspect-ratio: 1),
only screen and (max-device-width: 736px) and (orientation: portrait) {
    .personengrid {
        zoom: 80%;
    }
}

.person {
    display: flex;
    flex-direction: column;
    justify-content: end;
    min-width: 100%;
}

#ergebnis {
    gap: 0% 2%;

}

#ergebnis .person {
    justify-content: space-between;
    padding: 5% 0%;
    align-items: center;
}

.person-image-container {
    display: flex;
    align-items: end;
}

.person-image-container-inner {
    position: relative;
    pointer-events: auto;
    /* cursor: pointer; */
}

/* 
#unserepersonen .person-image-container-inner:hover::after {
    opacity: 100;
    transition: opacity 1s linear;
}

#unsereausgeschiedenen .person-image-container-inner {
    pointer-events: none;
    cursor: auto;
}

.person-image-container-inner::after {
    position: absolute;
    width: 90%;
    content: url("ASWebD_Häkchen.svg");
    place-self: center;
    inset: 0;
    opacity: 0;
    transition: opacity 0.5s linear;
    pointer-events: none;
}

.person-image-container-inner.greenvote::after {
    opacity: 100;
    content: url("ASWebD_HäkchenGreen.svg"); 
}
*/

.person-image {
    width: 100%;
    height: auto;
    pointer-events: auto;
}

.vote-img {
    opacity: 0;
}

.vote-button {
    background: none;
    border-style: none;
    padding: 0;
}

.person-text {
    display: flex;
    flex-direction: column;
    flex: 0 0 4.5em;
    z-index: 1;
    pointer-events: auto;
}

.person-name {
    font-family: 'SairaCondensed';
    font-weight: bold;
    font-size: 2em;
    line-height: 1em;
    color: white;
}

.person-occupation {
    font-family: 'SairaCondensed';
    font-size: 1.2em;
    line-height: 1em;
    color: white;
}

.greyed-out {
    filter: saturate(0.5) brightness(0.5);
}


@keyframes strike {
    0% {
        width: 0;
    }

    100% {
        width: 100%;
    }
}

.remani {
    position: relative;
    pointer-events: auto;
    cursor: pointer;
    user-select: none;
    -webkit-user-select: none;
}

.remani:hover::after {
    font-family: 'SairaCondensed';
    content: ' ';
    position: absolute;
    top: 30%;
    left: 0;
    width: 100%;
    height: 20%;
    background: white;
    animation-name: strike;
    animation-duration: 4s;
    animation-timing-function: linear;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}

.navbar {
    text-align: right;
}

#mailkontakt {
    font-family: 'SairaCondensed';
}

#title>h1 {
    user-select: none;
    -webkit-user-select: none;
}

#infotext {
    font-family: 'SairaCondensed';
    font-size: max(24pt, 4vw);
    font-weight: bold;
    color: white;
    line-height: 1em;
    margin: 4% 0%;
}

#more {
    float: left;
    width: 50%;
}

@media only screen and (max-width: 1000px) {
    #more {
        float: none;
        width: 100%;
    }
}


#more #ausklapper {
    text-decoration-line: underline;
    font-variant-caps: small-caps;
    font-size: 0.666em;
}

#more #ausgeklapptes {
    display: none;
    font-size: 0.666em;
    line-height: 0.666em;
}

#more:hover #ausklapper {
    display: none;
}

#more:hover #ausgeklapptes {
    display: inline;
}

#bgsee {
    width: 100%;
}

#banner {
    position: relative;
}

#bannercontent {
    padding: 0% 5%;
}

#banneronly {
    position: relative;
    min-height: 100%;
}

#title {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: min(100em, 10vw);
    padding: 2%;
    background-color: #ffffff40;
}

#logo {
    margin-right: 2%;
    height: 75%;
}

#menudiv {
    margin-left: auto;
    height: 100%;
}

#menuwaves {
    display: block;
    top: 25%;
    height: 50%;
    position: relative;
    top: 25%;
    margin-bottom: 25%;
    background: none;
    border-style: none;
    cursor: pointer;
}

#logo:hover {
    filter: drop-shadow(4px 4px 4px white)
}

#menuwaves:hover {
    filter: drop-shadow(4px 4px 4px black)
}

#menu {
    position: absolute;
    display: none;
    right: 0;

}

menu>li {
    list-style: none;
    padding: 0;

    border: #d92598;
    border-style: solid;
    border-width: 5px;
    background-color: white;

    margin-top: 3%;
    padding: 1em;

    line-height: 150%;
}

menu a,
menu button {
    font-family: 'SairaCondensed';
    font-weight: bold;
    font-size: 8vmin;
    color: #00a650;
    background: none;
    border-style: none;
    text-decoration: none;
    padding: 0;
    cursor: pointer;
}

#wahl {}


#wahlplakate {
    display: grid;
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
    width: 100%;
    height: 100%;
    gap: 0% 5%;
    margin-right: auto;
    margin-left: auto;
    padding: 5% 0;
}

@media only screen and (max-width: 1000px) and (max-aspect-ratio: 1),
only screen and (max-device-width: 736px) and (orientation: portrait) {
    #wahlplakate {
        grid-template-columns: 1fr;
        grid-template-rows: minmax(0, 1fr) minmax(0, 1fr) minmax(0, 1fr);
        gap: 1% 0%;
        width: 89%;
        height: 100%;
    }
}

#wahlplakate>img {
    height: 100%;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

/* #wahlplakate:hover {
    animation-name: enlarge;
    animation-duration: 1s;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}

@keyframes enlarge {
    from {
        max-width: 100%;
    }

    to {
        max-width: 100vw;
    }
} */

#linkbuttons {
    display: block;
    float: right;
    width: 40%;
    font-family: 'SairaCondensed';
    font-weight: bold;
    font-size: 4vw;
    line-height: 1em;
}

@media only screen and (max-width: 1000px) and (max-aspect-ratio: 1),
only screen and (max-device-width: 736px) and (orientation: portrait) {
    #linkbuttons {
        width: 65%;
        font-size: 7vw;
        margin-top: -4%;
    }
}

.linkbutton {
    display: block;
    color: white;
    margin: 2% 0%;
    background-color: #d92598;
    border-color: white;
    border-width: 0.1em;
    border-style: solid;
    padding: 3%;
}

.linkbutton:nth-of-type(2) {
    background-color: #2e3192;
}

.linkbutton>img {
    height: 4vw;
    vertical-align: middle;
    float: right;
}

#wahlstats {
    margin-top: 10%;
    margin-bottom: 15%;
}

#wahlprognose-title {
    float: left;
}

.wahlstats-zahlen {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-bottom: -13%;
    height: 100%;
}

.wahlstats-header {
    display: inline-block;
    width: 50%;
    font-size: 43%;
}

#wahlstats-bars {
    width: 100%;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
    pointer-events: auto;
    margin-top: -5%;
    --primary-axis-color: white;
    --primary-axis-style: solid;
    --primary-axis-width: 0.4vw;
    --labels-size: 2em;
}

#wahlstats-bars td {
    background-color: #d92598;
    font-size: 4vw;
    writing-mode: vertical-lr;
    text-orientation: mixed;
    scroll-snap-align: start;
}

#wahlstats-bars tr {
    padding-inline-end: 1%;
    padding-inline-start: 1%;
}

#wahlstats-bars tbody {
    padding-bottom: 1em;
}

#wahlstats-bars th {
    font-size: var(--labels-size);
    line-height: 100%;
}

#wahlstats-disclaimer {
    font-size: 2em;
}

#kommentar {
    margin: 5% 0%;
}

#kommentarform {
    display: flex;
    flex-direction: column;
    font-size: 2em;
    width: max(min(25ch, 100%), 61%);
}

#kommentarform input,
#kommentarform textarea {
    color: black;
    font-size: 0.8em;
}

#kommentar-name {
    width: 40%;
    margin: 1% 0%;
}

#kommentar-nachricht {
    height: 100%;
    margin: 1% 0%;
    resize: none;
}

#kommentar-abschicken {
    min-width: 40%;
    align-self: end;
    margin-top: 0.8em;
    font-size: 1em;
}

#credits {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: end;
    padding: 1%;
    margin-top: 5%;
    height: 6vmax;
    gap: 10%;
}

#fagwasa-logo {}

#bayernhain-logo {}

.person-stats {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;

    font-weight: bold;
    font-size: 7ch;
    text-align: center;
    line-height: 1em;
}

.platzierung {
    font-size: 2em;
}

/*Easter eggs*/

#person01 img:nth-child(2) {
    display: none;
}

#person01:hover img:first-child {
    display: none;
}

#person01:hover img:nth-child(2) {
    display: inline-block;
}

.person-image-container-inner:hover>.spin {
    animation-name: spin;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.person-image-container-inner:hover>.slowmove {
    animation-name: slowmove;
    animation-duration: 25s;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}

@keyframes slowmove {
    from {
        translate: 0 0;
    }

    to {
        translate: 100vw 0px;
    }
}

#person58 .person-image-container-inner:hover {
    overflow: hidden;
}

.person-image-container-inner:hover>.burrow {
    animation-name: burrow;
    animation-duration: 5s;
    animation-timing-function: linear(0.0 0.1 0.15 0.25 0.3 0.4 0.45 0.55 0.6 0.7 0.75 0.85 0.9 1.0);
    animation-fill-mode: forwards;
}

@keyframes burrow {
    from {
        translate: 0 0;
    }

    to {
        translate: 0 100%;
    }
}

.person-image-container-inner:hover>.death {
    animation-name: death;
    animation-duration: 10s;
    animation-timing-function: linear;
    animation-fill-mode: forwards;
}

@keyframes death {
    from {
        filter: saturate(1) contrast(1);
    }

    to {
        filter: saturate(4) contrast(5);
    }
}

#person66 img:nth-child(2) {
    transition: opacity 1s linear;
    opacity: 0;
}

#person66:hover img:nth-child(2) {
    opacity: 100;
}

.overlay-img {
    position: absolute;
    left: 0;
}

/* Über uns */

#ueberunstext {
    font-size: 20pt;
    text-align: justify;
    padding: 5% 7.5%;
}